net/yaz - The NetBSD Packages Collection

C/C++ toolkit for the development of Z39.50v3/SRW clients and servers

YAZ is a C/C++ library for information retrieval applications using
the Z39.50/SRW protocols for information retrieval.

Properties of YAZ:

  * Complete Z39.50 version 3 support. Amendments and Z39.50-2002
    revision is supported.
  * Supports SRW version 1.0 (over HTTP and HTTPS).
  * Includes BER encoders/decoders for the ISO ILL protocol.
  * Supports the following transports: BER over TCP/IP (RFC1729), BER
    over unix local socket, and HTTP 1.1.
  * Secure Socket Layer support using OpenSSL. If enabled, YAZ uses
    HTTPS transport (for SOAP) or "Secure BER" (for Z39.50).
  * Offers ZOOM C API implementing both Z39.50 and SRW.
  * The YAZ library offers a set of useful utilities related to the
    protocols, such as MARC (ISO2709) parser, CCL (ISO8777) parser,
    CQL parser, memory management routines, character set conversion.
  * Portable code. YAZ compiles out-of-the box on most Unixes and on
    Windows using Microsoft Visual C++.
  * Fast operation. The C based BER encoders/decoders as well as the
    server component of YAZ is very fast.
  * Liberal license that allows for commercial use of YAZ.

Build dependencies

pkgtools/cwrappers devel/libtool-base devel/pkgconf lang/tcl

Runtime dependencies

textproc/icu textproc/libxslt textproc/libxml2 textproc/icu textproc/libxslt textproc/libxml2

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfyaz-5.16.0nb12.tgz
NetBSD 8.0earmv7hfyaz-5.16.0nb11.tgz
NetBSD 8.0earmv7hfyaz-5.16.0nb12.tgz
NetBSD 8.0i386yaz-5.16.0nb11.tgz
NetBSD 8.0i386yaz-5.16.0nb12.tgz
NetBSD 8.0i386yaz-5.16.0nb12.tgz
NetBSD 8.0powerpcyaz-5.16.0nb11.tgz
NetBSD 8.0powerpcyaz-5.16.0nb12.tgz
NetBSD 8.0powerpcyaz-5.16.0nb12.tgz
NetBSD 8.0powerpcyaz-5.16.0nb12.tgz
NetBSD 8.0x86_64yaz-5.16.0nb12.tgz
NetBSD 8.0x86_64yaz-5.16.0nb11.tgz
NetBSD 8.0x86_64yaz-5.16.0nb12.tgz
NetBSD 9.0aarch64yaz-5.16.0nb12.tgz
NetBSD 9.0aarch64yaz-5.16.0nb11.tgz
NetBSD 9.0aarch64yaz-5.16.0nb12.tgz
NetBSD 9.0alphayaz-5.16.0nb12.tgz
NetBSD 9.0alphayaz-5.16.0nb11.tgz
NetBSD 9.0alphayaz-5.16.0nb12.tgz
NetBSD 9.0earmyaz-5.16.0nb11.tgz
NetBSD 9.0earmyaz-5.16.0nb12.tgz
NetBSD 9.0earmyaz-5.16.0nb12.tgz
NetBSD 9.0earmv6hfyaz-5.16.0nb12.tgz
NetBSD 9.0earmv6hfyaz-5.16.0nb11.tgz
NetBSD 9.0earmv6hfyaz-5.16.0nb12.tgz
NetBSD 9.0earmv6hfyaz-5.16.0nb12.tgz
NetBSD 9.0earmv7hfyaz-5.16.0nb12.tgz
NetBSD 9.0earmv7hfyaz-5.16.0nb11.tgz
NetBSD 9.0earmv7hfyaz-5.16.0nb12.tgz
NetBSD 9.0earmv7hfyaz-5.16.0nb12.tgz
NetBSD 9.0earmv7hfyaz-5.16.0nb12.tgz
NetBSD 9.0i386yaz-5.16.0nb11.tgz
NetBSD 9.0i386yaz-5.16.0nb12.tgz
NetBSD 9.0i386yaz-5.16.0nb12.tgz
NetBSD 9.0mips64ebyaz-5.16.0nb12.tgz
NetBSD 9.0mips64ebyaz-5.16.0nb11.tgz
NetBSD 9.0mips64ebyaz-5.16.0nb12.tgz
NetBSD 9.0mipselyaz-5.16.0nb12.tgz
NetBSD 9.0mipselyaz-5.16.0nb12.tgz
NetBSD 9.0powerpcyaz-5.16.0nb12.tgz
NetBSD 9.0powerpcyaz-5.16.0nb11.tgz
NetBSD 9.0powerpcyaz-5.16.0nb12.tgz
NetBSD 9.0powerpcyaz-5.16.0nb12.tgz
NetBSD 9.0sh3elyaz-5.16.0nb12.tgz
NetBSD 9.0sh3elyaz-5.16.0nb12.tgz
NetBSD 9.0sparc64yaz-5.16.0nb12.tgz
NetBSD 9.0sparc64yaz-5.16.0nb11.tgz
NetBSD 9.0sparc64yaz-5.16.0nb11.tgz
NetBSD 9.0sparc64yaz-5.16.0nb12.tgz
NetBSD 9.0sparcyaz-5.16.0nb12.tgz
NetBSD 9.0sparcyaz-5.16.0nb11.tgz
NetBSD 9.0sparcyaz-5.16.0nb12.tgz
NetBSD 9.0x86_64yaz-5.16.0nb12.tgz
NetBSD 9.0x86_64yaz-5.16.0nb12.tgz
NetBSD 9.0x86_64yaz-5.16.0nb12.tgz
NetBSD 9.0x86_64yaz-5.16.0nb12.tgz
NetBSD 9.0x86_64yaz-5.16.0nb11.tgz
NetBSD 9.0x86_64yaz-5.16.0nb12.tgz
NetBSD 9.0x86_64yaz-5.16.0nb12.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.